标签:des style blog http io ar color os 使用
原文链接:http://codingstandards.iteye.com/blog/836625 (转载请注明出处)
exit命令用于退出当前shell,在shell脚本中可以终止当前脚本执行。
格式:exit n
退出。设置退出码为n。(Cause the shell to exit with a status of n.)
格式:exit
退出。退出码不变,即为最后一个命令的退出码。(If n is omitted, the exit status is that of the last command executed. )
格式:$?
上一个命令的退出码。
格式:trap "commands" EXIT
退出时执行commands指定的命令。( A trap on EXIT is executed before the shell terminates.)
退出码(exit status,或exit code)的约定:
0表示成功(Zero - Success)
非0表示失败(Non-Zero - Failure)
2表示用法不当(Incorrect Usage)
127表示命令没有找到(Command Not Found)
126表示不是可执行的(Not an executable)
>=128 信号产生
以下摘自/usr/include/stdlib.h
#define EXIT_FAILURE 1 /* Failing exit status. */ #define EXIT_SUCCESS 0 /* Successful exit status. */
BSD试图对退出码标准化。
以下摘自/usr/include/sysexits.h
#define EX_OK 0 /* successful termination */ #define EX__BASE 64 /* base value for error messages */ #define EX_USAGE 64 /* command line usage error */ #define EX_DATAERR 65 /* data format error */ #define EX_NOINPUT 66 /* cannot open input */ #define EX_NOUSER 67 /* addressee unknown */ #define EX_NOHOST 68 /* host name unknown */ #define EX_UNAVAILABLE 69 /* service unavailable */ #define EX_SOFTWARE 70 /* internal software error */ #define EX_OSERR 71 /* system error (e.g., can‘t fork) */ #define EX_OSFILE 72 /* critical OS file missing */ #define EX_CANTCREAT 73 /* can‘t create (user) output file */ #define EX_IOERR 74 /* input/output error */ #define EX_TEMPFAIL 75 /* temp failure; user is invited to retry */ #define EX_PROTOCOL 76 /* remote error in protocol */ #define EX_NOPERM 77 /* permission denied */ #define EX_CONFIG 78 /* configuration error */ #define EX__MAX 78 /* maximum listed value */
[root@new55 ~]# [root@new55 ~]# exit logout
cd $(dirname $0) || exit 1
if [ "$#" -ne "2" ]; then echo "usage: $0 <area> <hours>" exit 2 fi
trap "rm -f tmpfile; echo Bye." EXIT
./mycommand.sh EXCODE=$? if [ "$EXCODE" == "0" ]; then echo "O.K" fi
【1】91linux Linux exit 命令 【2】曲径通幽 [概念]exit n 【3】Linux大学 Bash Shell Exit Status Tutorial with Practical Examples
Linux命令之exit - 退出当前shell【返回值状态】
标签:des style blog http io ar color os 使用
原文地址:http://www.cnblogs.com/itcomputer/p/4157859.html